#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konqueror
Epoch:          1
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        KDE file and web browser
License:        GPLv2+
Group:          Networking/WWW
Url:            https://konqueror.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstreamable patches
# toggle 'Always try to have one preloaded instance' to default off
# https://bugs.mageia.org/show_bug.cgi?id=23969
# https://bugs.kde.org/398996
Patch101:       konqueror-18.12.2-preloaded.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)

BuildRequires:  cmake(KF5Su)
BuildRequires:  cmake(KF5Wallet)

BuildRequires:  libtidy-devel

BuildRequires:  hunspell
BuildRequires:  pkgconfig(hunspell)

Requires:       plasma-workspace
Requires:       keditbookmarks
Requires:       qtwebengine5
Requires:       indexhtml
Recommends:     konq-plugins
Recommends:     %{name}-handbook

Provides:       webclient

%description
Konqueror is KDE's Webbrowser and Swiss army knife for any kind of
file-management and file previewing.

Features:
  * Webbrowsing using KHTML or KDEWebEngine as rendering engines
  * File management using most of Dolphin's features (including version-control,
    service menus and the basic UI)
  * File management on ftp and sftp servers
  * Full featured FTP-client (you can split views to display local and remote
    folders and previews in the same window)
  * Embedded applications to preview and edit files (e.g. Okular and KOffice for
    documents, Gwenview for pictures, KTextEditor for text-files)
  * Different kinds of plugins: Service-menus, KParts (embedded applications),
  * KIO (accessing files using special protocols like http or ftp) and
  * KPart-plugins (like AdBlocker...)

%files -f %name.lang
%_kf5_sysconfdir/xdg/autostart/konqy_preload.desktop
%_kf5_categoriesdir/konqueror.*categories
%_kf5_categoriesdir/akregatorplugin.*categories
%_kf5_bindir/%{name}
%_kf5_bindir/kfmclient
%_kf5_datadir/konqueror/icons/hicolor/*/*/*
%_kf5_datadir/konqueror/partsrcfiles/
%_qt5_plugindir/dolphinpart/kpartplugins/konq_shellcmdplugin.so
%_qt5_plugindir/konqueror_kcms/kcm_bookmarks.so
%_qt5_plugindir/konqueror_kcms/kcm_history.so
%_qt5_plugindir/konqueror_kcms/kcm_konq.so
%_qt5_plugindir/konqueror_kcms/kcm_performance.so
%_qt5_plugindir/konqueror_kcms/khtml_appearance.so
%_qt5_plugindir/konqueror_kcms/khtml_behavior.so
%_qt5_plugindir/konqueror_kcms/khtml_cache.so
%_qt5_plugindir/konqueror_kcms/khtml_filter.so
%_qt5_plugindir/konqueror_kcms/khtml_general.so
%_qt5_plugindir/konqueror_kcms/khtml_java_js.so
%_kf5_plugindir/parts/fsviewpart.so
%_kf5_plugindir/parts/konq_sidebar.so
%_kf5_plugindir/parts/webenginepart.so
%_kf5_plugindir/kfileitemaction/akregatorplugin.so
%_kf5_libdir/libkdeinit5_kfmclient.so
%_kf5_libdir/libkdeinit5_konqueror.so
%_kf5_libdir/libkwebenginepart.so
%_kf5_applicationsdir/kfmclient.desktop
%_kf5_applicationsdir/kfmclient_html.desktop
%_kf5_applicationsdir/kfmclient_war.desktop
%_kf5_applicationsdir/konqbrowser.desktop
%_kf5_applicationsdir/kfmclient_dir.desktop
%_kf5_metainfodir/org.kde.%{name}.appdata.xml
%_kf5_datadir/kcontrol/*
%_kf5_datadir/kcmcss/template.css
%_kf5_datadir/kf5/kbookmark/directory_bookmarkbar.desktop
%_kf5_datadir/config.kcfg/konqueror.kcfg
%_kf5_services/org.kde.konqueror.desktop
%_kf5_services/webenginepart.desktop
%_kf5_datadir/konqueror/about/
%_kf5_datadir/konqueror/pics/
%_kf5_datadir/kxmlgui5/webenginepart/
%_kf5_datadir/webenginepart/error.html
%_kf5_datadir/dbus-1/interfaces/org.kde.Konqueror.Main.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.Konqueror.MainWindow.xml
%_kf5_iconsdir/*/*/*/konqueror.*
%_kf5_iconsdir/*/*/*/webengine.*

#------------------------------------------------------------------------------

%package        handbook
Summary:        Konqueror Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description    handbook
This package provides konqueror handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}/
%doc %_kf5_docdir/HTML/*/kcontrol5/

#------------------------------------------------------------------------------

%package -n     konq-plugins
Summary:        Konqueror plugins
Group:          Networking/WWW
Requires:       konqueror

%description -n konq-plugins
This module contains plugins that interact with Konqueror.

%files -n konq-plugins
%_kf5_categoriesdir/fsview.categories
%_kf5_sysconfdir/xdg/translaterc
%_kf5_sysconfdir/xdg/konqsidebartngrc
%_kf5_bindir/fsview
%_qt5_plugindir/akregatorkonqfeedicon.so
%_qt5_plugindir/autorefresh.so
%_qt5_plugindir/babelfishplugin.so
%_qt5_plugindir/dolphinpart/kpartplugins/dirfilterplugin.so
%_qt5_plugindir/dolphinpart/kpartplugins/kimgallery.so
%_qt5_plugindir/khtmlsettingsplugin.so
%_qt5_plugindir/khtmlttsplugin.so
%_qt5_plugindir/konqsidebar_*.so
%_qt5_plugindir/uachangerplugin.so
%_qt5_plugindir/khtml/kpartplugins/akregatorkonqfeediconkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/autorefreshkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/babelfishpluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/khtmlsettingspluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/khtmlttspluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/konqueror_kget_browser_integrationkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/uachangerpluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/webarchiverpluginkhtml_kpartplugins.so
%_qt5_plugindir/konqueror/kpartplugins/searchbarplugin.so
%_qt5_plugindir/konqueror_kget_browser_integration.so
%_qt5_plugindir/kwebkitpart/kpartplugins/akregatorkonqfeediconkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/autorefreshkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/babelfishpluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/khtmlsettingspluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/khtmlttspluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/konqueror_kget_browser_integrationkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/uachangerpluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/webarchiverpluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/akregatorkonqfeediconwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/autorefreshwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/babelfishpluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/khtmlsettingspluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/khtmlttspluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/konqueror_kget_browser_integrationwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/uachangerpluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/webarchiverpluginwebenginepart_kpartplugins.so
%_kf5_datadir/akregator/pics/feed.png
%_kf5_datadir/konqsidebartng/
%_kf5_iconsdir/hicolor/*/apps/fsview.png
%_kf5_iconsdir/hicolor/*/actions/babelfish.png
%_kf5_iconsdir/hicolor/*/actions/imagegallery.png
%_kf5_kxmlguidir/fsview/
%_kf5_services/fsview_part.desktop
%_kf5_services/konq_sidebartng.desktop
# new webarchiver plugin
%_kf5_bindir/kcreatewebarchive
%_qt5_plugindir/webarchiverplugin.so
%_qt5_plugindir/webarchivethumbnail.so
%_kf5_datadir/config.kcfg/kcreatewebarchive.kcfg
%_kf5_iconsdir/hicolor/*/actions/webarchiver.png
%_kf5_datadir/kconf_update/webenginepart.upd
%_kf5_services/webarchivethumbnail.desktop
#

#------------------------------------------------------------------------------

%define kf5konq_major 6
%define libkf5konq %mklibname kf5konq %kf5konq_major

%package -n     %libkf5konq
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkf5konq
Runtime Library for Konqueror.

%files -n %libkf5konq
%_kf5_libdir/libKF5Konq.so.%{kf5konq_major}
%_kf5_libdir/libKF5Konq.so.5*

#------------------------------------------------------------------------------

%define konqsidebarplugin_major 5
%define libkonqsidebarplugin %mklibname konqsidebarplugin %konqsidebarplugin_major

%package -n     %libkonqsidebarplugin
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonqsidebarplugin
Runtime Library for Konqueror.

%files -n %libkonqsidebarplugin
%_kf5_libdir/libkonqsidebarplugin.so.%{konqsidebarplugin_major}
%_kf5_libdir/libkonqsidebarplugin.so.%{version}

#------------------------------------------------------------------------------

%define konquerorprivate_major 5
%define libkonquerorprivate %mklibname konquerorprivate %konquerorprivate_major

%package -n     %libkonquerorprivate
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonquerorprivate
Runtime Library for Konqueror.

%files -n %libkonquerorprivate
%_kf5_libdir/libkonquerorprivate.so.%{konquerorprivate_major}{,.*}
%_kf5_libdir/libkonquerorprivate.so.%{version}

#------------------------------------------------------------------------------

%define kf5konq_devel %mklibname kf5konq -d

%package -n     %kf5konq_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5konq = %epoch:%version-%release
Requires:       %libkonqsidebarplugin = %epoch:%version-%release
Requires:       %libkonquerorprivate = %epoch:%version-%release
Provides:       %{name}-devel = %epoch:%version-%release

%description -n %kf5konq_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5konq_devel
%_kf5_includedir/*
%_includedir/konqsidebarplugin.h
%_kf5_libdir/lib*.so
%_kf5_libdir/cmake/KF5Konq/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name

# From upstream:
# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
#
# On Wayland the icon to use for the main window is read from the desktop file, which needs
# to be in the applications directory, so it needs to be installed there, too (bug #452149)
#
# We don't install a services file into the applications directory
rm -rf %buildroot%_kf5_applicationsdir/org.kde.konqueror.desktop


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 1:23.04.3-1.mga9
+ Revision: 1982501
- New version 23.04.3

* Sun May 28 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1959457
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946529
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941822
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922943
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911437
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905289
- New version 22.08.3

* Wed Nov 09 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1904825
- New version 22.08.1
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873104
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853997
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1852514
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 1:21.12.0-2.mga9
+ Revision: 1846171
- Mageia 9 Mass Rebuild

* Sat Jan 01 2022 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1766013
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724096
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1719677
- New version 21.04.0

* Sat Mar 06 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1700126
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694111
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1657313
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644028
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633844
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627086
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1617353
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604151
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596889
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584535
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1569712
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559354
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540903
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513324
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Tue Dec 17 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1468491
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457930
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1447795
- New version 19.08.1

* Mon Sep 02 2019 daviddavid <daviddavid> 1:19.04.3-2.mga8
+ Revision: 1436226
- add patch to toggle 'Always try to have one preloaded instance' to
  default off (mga#23969, kde#398996)

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425022
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390477
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1389423
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382728
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375660
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365600
- New version 18.12.2

* Wed Jan 23 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1360180
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339542
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332772
- New version 18.08.3

* Tue Nov 20 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1332132
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298620
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1241518
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201923
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194945
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 1:17.12.0-2.mga7
+ Revision: 1190530
- New version 17.12.0

* Thu Nov 02 2017 daviddavid <daviddavid> 1:17.08.0-2.mga7
+ Revision: 1175611
- rebuild for new tidy 5.4.0

* Fri Aug 25 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1147889
- New version 17.08.0
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 1:17.04.3-2.mga7
+ Revision: 1133582
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1131748
- New version 17.04.3

* Sun Jul 16 2017 tmb <tmb> 1:16.12.3-3.mga7
+ Revision: 1123569
- bump rel past mga6 updates

* Wed Jul 12 2017 daviddavid <daviddavid> 1:16.12.3-2.mga6
+ Revision: 1109671
- requires qtwebengine5 (mga#21234)

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090105
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076845
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075573
- imported package konqueror

